Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ltk.core.refactoring.participants
Class RenameProcessor

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.ltk.core.refactoring.participants.RefactoringProcessor
              org.eclipse.ltk.core.refactoring.participants.RenameProcessor

All Implemented Interfaces:
  IAdaptable

public abstract class RenameProcessor
extends RefactoringProcessor

A special processor that performs rename operations. A rename processor is responsible for actually renaming the element. Additionally it may update other resources of the same domain which are affected by the rename operation. For example, a Java method rename processor also updates all references in Java code to the method to be renamed.

This class should be subclassed by clients wishing to provide a special delete processor.

The main purpose of this class is type safety for the generic rename refactoring

Since:
  3.0

Constructor Summary
`RenameProcessor()`

Methods inherited from class org.eclipse.ltk.core.refactoring.participants.RefactoringProcessor
`checkFinalConditions, checkInitialConditions, createChange, getElements, getIdentifier, getProcessorName, isApplicable, loadParticipants, postCreateChange`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenameProcessor

    public RenameProcessor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.